package com.xxfc.thirdparty.service;

import com.xxfc.thirdparty.ThirdPartyApplicationTests;
import com.xxfc.thirdparty.model.JuheResult;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

public class TrafficViolationsServiceTest extends ThirdPartyApplicationTests {

    @Autowired
    TrafficViolationsService service;

    @Before
    public void setUp() throws Exception {
    }

    @Test
    public void getCity() {
        JuheResult result = service.getCity(null);
        System.out.println(result);
    }

    @Test
    public void queryViolations() {
        JuheResult result = service.queryViolations("GD_DG","粤S0634C","02",
                "1615000569","LGWEF6A5XGH002066");
        System.out.println(result);

    }

    @Test
    public void queryBalance() {
        JuheResult result = service.queryBalance();
        System.out.println(result);
    }

    @Test
    public void queryCityByHphm() {
        JuheResult result = service.queryCityByHphm("粤S0634C");
        System.out.println(result);
    }
}